{
  "name": "table/external/4d/manager/order/waybill_row.json",
  "table_name": "waybill_row",
  "table_prefix": "wblr",
  "main_table": "waybill",
  "record_type": ["waybill_row"],
  "local_table": "waybill",
  "local_subtable": "json_data.waybill_row",
  "local_record_type": "waybill_row",
  "table_number": 27,
  "default_field": "table/default_field.json",
  "field": [
    {
      "field_name": "additional_data",
      "field_number": 12,
      "field_type": "text",
      "local_field": "json_data.waybill_row.additional_data"
    },
    {
      "field_name": "change_id",
      "field_number": 18,
      "field_type": "varchar",
      "length": 90,
      "local_field": "json_data.waybill_row.change_id"
    },
    {
      "field_name": "content",
      "field_number": 7,
      "field_type": "varchar",
      "length": 0,
      "local_field": "json_data.waybill_row.content"
    },
    {
      "field_name": "creator_id",
      "field_number": 19,
      "field_type": "varchar",
      "length": 40,
      "local_field": "json_data.waybill_row.creator_id"
    },
    {
      "field_name": "customer_project",
      "field_number": 16,
      "field_type": "varchar",
      "length": 80,
      "local_field": "json_data.waybill_row.customer_project"
    },
    {
      "field_name": "firm_id",
      "field_number": 13,
      "field_type": "integer",
      "local_field": "json_data.waybill_row.firm_id"
    },
    {
      "field_name": "info",
      "field_number": 11,
      "field_type": "varchar",
      "length": 0,
      "local_field": "json_data.waybill_row.info"
    },
    {
      "field_name": "mark",
      "field_number": 4,
      "field_type": "varchar",
      "length": 160,
      "local_field": "json_data.waybill_row.mark"
    },
    {
      "field_name": "modifier_id",
      "field_number": 20,
      "field_type": "varchar",
      "length": 40,
      "local_field": "json_data.waybill_row.modifier_id"
    },
    {
      "field_name": "number_of_pallets",
      "field_number": 5,
      "field_type": "integer",
      "local_field": "json_data.waybill_row.number_of_pallets"
    },
    {
      "field_name": "pallet_code",
      "field_number": 8,
      "field_type": "varchar",
      "length": 80,
      "local_field": "json_data.waybill_row.pallet_code"
    },
    {
      "field_name": "project_id",
      "field_number": 17,
      "field_type": "varchar",
      "length": 80,
      "local_field": "json_data.waybill_row.project_id"
    },
    {
      "constraint": ["unique"],
      "field_name": "record_id",
      "field_number": 14,
      "field_type": "varchar",
      "length": 90,
      "local_field": "json_data.waybill_row.record_id"
    },
    {
      "field_name": "state",
      "field_number": 3,
      "field_type": "integer",
      "local_field": "json_data.waybill_row.state"
    },
    {
      "field_name": "transfer_id",
      "field_number": 15,
      "field_type": "varchar",
      "length": 120,
      "local_field": "json_data.waybill_row.transfer_id"
    },
    {
      "field_name": "transfer_state",
      "field_number": 21,
      "field_type": "integer",
      "local_field": "json_data.waybill_row.transfer_state"
    },
    {
      "field_name": "type_",
      "field_number": 2,
      "field_type": "integer",
      "local_field": "json_data.waybill_row.type"
    },
    {
      "field_name": "type_of_pallet",
      "field_number": 6,
      "field_type": "varchar",
      "length": 80,
      "local_field": "json_data.waybill_row.type_of_pallet"
    },
    {
      "field_name": "volume",
      "field_number": 10,
      "field_type": "double",
      "local_field": "json_data.waybill_row.volume"
    },
    {
      "field_name": "waybill_id",
      "field_number": 1,
      "field_type": "varchar",
      "foreign_key": [
        {
          "link_type": "prevent delete",
          "linked_field": "waybill_id",
          "linked_table": "waybill"
        }
      ],
      "length": 40,
      "local_field": "json_data.waybill_row.waybill_id",
      "nullable": true
    },
    {
      "field_name": "weight",
      "field_number": 9,
      "field_type": "double",
      "local_field": "json_data.waybill_row.weight"
    }
  ]
}
